FastArrayQueue (Siena 2.0.4 API Documentation)
Date: 2015-05-17

siena.dvdrp

## Class FastArrayQueue

- java.lang.Object
- - siena.dvdrp.ArrayQueue
  - - siena.dvdrp.FastArrayQueue

- All Implemented Interfaces:
    PacketQueue

      public class FastArrayQueue
      extends ArrayQueue

  a simple implementation of a priority queue with only two priorities. The queue is used to hold DV and UDV messages to be sent by `siena.DispatcherThread`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FastArrayQueue()`
    `FastArrayQueue(int size)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(byte[] obj)`
    `void` | `add(byte[] obj, int length)`
    `void` | `clear()`
    `int` | `next(byte[] buf)`

    - ### Methods inherited from class siena.dvdrp.ArrayQueue

      `next`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_SIZE

          public static int DEFAULT_SIZE

  - ### Constructor Detail

    - #### FastArrayQueue

          public FastArrayQueue()

    - #### FastArrayQueue

          public FastArrayQueue(int size)

  - ### Method Detail

    - #### add

          public void add(byte[] obj)
                   throws java.lang.Exception

      Specified by:
        `add` in interface `PacketQueue`
      Overrides:
        `add` in class `ArrayQueue`
      Throws:
        `java.lang.Exception`

    - #### add

          public void add(byte[] obj,
                 int length)
                   throws java.lang.Exception

      Specified by:
        `add` in interface `PacketQueue`
      Overrides:
        `add` in class `ArrayQueue`
      Throws:
        `java.lang.Exception`

    - #### next

          public int next(byte[] buf)

      Specified by:
        `next` in interface `PacketQueue`
      Overrides:
        `next` in class `ArrayQueue`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `PacketQueue`
      Overrides:
        `clear` in class `ArrayQueue`

Copyright © 2000-2005 University of Colorado.
Copyright © 2005-2011 Antonio Carzaniga.
This documentation is maintained by Antonio Carzaniga